org.red5.io.mp4

## Class MP4Atom.CompositionTimeSampleRecord

- java.lang.Object
- - org.red5.io.mp4.MP4Atom.CompositionTimeSampleRecord

Enclosing class:
  MP4Atom

    public static class MP4Atom.CompositionTimeSampleRecord
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MP4Atom.CompositionTimeSampleRecord(int consecutiveSamples, int sampleOffset)`

### Method Summary

Methods
`int` `getConsecutiveSamples()`
`int` `getSampleOffset()`
`void` `setSampleOffset(int offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MP4Atom.CompositionTimeSampleRecord

    public MP4Atom.CompositionTimeSampleRecord(int consecutiveSamples,
                                       int sampleOffset)

### Method Detail

#### getConsecutiveSamples

    public int getConsecutiveSamples()

#### getSampleOffset

    public int getSampleOffset()

#### setSampleOffset

    public void setSampleOffset(int offset)